# OSGeo::FDO::Common::StringCollection Class Reference
[OSGeo::FDO::Common]

Inheritance diagram for OSGeo::FDO::Common::StringCollection:

[legend]

List of all members.

## Detailed Description

StringCollection is a collection of name-value pairs.

()

## Public Member Functions
System::Int32 | Add (StringElement *value)
| Adds a StringElement object into the collection.
System::Void | Append (StringCollection *collection)
| Appends the strings from src to the end of this collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (StringElement *value)
| Determines whether the collection contains a specific StringElement object.
System::Void | CopyTo (StringElement *array[], System::Int32 index)
| Copies the elements of the collection to an array.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property StringElement * | get_Item (System::Int32 index)
| Gets a StringElement in the collection.
__property StringElement * | get_RealTypeItem (System::Int32 index)
| Gets a StringElement in the collection.
__property System::String * | get_String (System::Int32 index)
| Gets a String in the collection.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (StringElement *value)
| Determines the index of a specific StringElement object.
System::Void | Insert (System::Int32 index, StringElement *value)
| Inserts a StringElement object into the collection at the specified position.
System::Void | Remove (StringElement *value)
| Removes the first occurrence of a specific StringElement object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th StringElement from this collection.
__property System::Void | set_Item (System::Int32 index, StringElement *value)
| Sets the value of the StringElement at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, StringElement *value)
| Sets the value of the StringElement at the specified index.
| StringCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a String Collection based on an unmanaged instance of the object.
| StringCollection (String *data, String *delimiters, Boolean nullTokens)
| Creates a string collection that is tokenized from a string. The collection contains an element for each token.
| StringCollection (String *data, String *delimiters)
| Creates a string collection that is tokenized from a string. The collection contains an element for each token.
| StringCollection (StringCollection *collection)
| Creates a copy of string collection.
| StringCollection ()
| Constructs a new empty string collection.